## geos 3.11.2

=== debian/changelog ===
geos (3.11.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Mar 2023 06:28:41 +0100

=== debian/control ===
Source: geos
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               doxygen,
               pkg-kde-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
Homepage: https://trac.osgeo.org/geos/
Rules-Requires-Root: no

Package: libgeos-dev
Architecture: any
Section: libdevel
Depends: libgeos-c1v5 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libgdal-doc
Description: Geometry engine for GIS - Development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the headers and libraries needed to
 develop programs using GEOS.

Package: libgeos++-dev
Architecture: any
Section: libdevel
Depends: libgeos3.11.2 (= ${binary:Version}),
         libgeos-dev,
         ${misc:Depends}
Suggests: libgdal-doc
Breaks: libgeos-dev (<< 3.3.1-1~)
Description: Geometry engine for GIS - C++ development files
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the headers and libraries needed to
 develop programs using GEOS in C++. Note that third-parties
 programs should use the stable C API instead of the
 unstable C++ one.

Package: libgeos-c1v5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeos-c1 (<< 3.4.2-8~)
Replaces: libgeos-c1 (<< 3.4.2-8~)
Description: Geometry engine for Geographic Information Systems - C Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C library.

Package: libgeos3.11.2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - C++ Library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the C++ library. A stable C library is provided
 by the libgeos-c* package and should be preferred by third-parties
 programs.

Package: libgeos-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libgeos-dev (= ${binary:Version})
Description: Documentation for the GEOS GIS geometry engine library
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 .
 This package contains the documentation for the GEOS API.

Package: geos-bin
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Geometry engine for Geographic Information Systems - Utilities
 GEOS provides a spatial object model and fundamental geometric
 functions. It implements the geometry model defined in the
 OpenGIS Consortium Simple Features Specification for SQL.
 Functions provided include:
 .
   * spatial predicates (based on the DE-9IM model),
   * overlay functions (intersection, difference, union,
     symmetric difference),
   * buffer,
   * convex hull,
   * area and distance functions, and
   * topological validity checking
 .
 This package contains the utilities.

## geos 3.12.0

=== debian/changelog ===
geos (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 20:14:27 +0200

geos (3.12.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump debhelper compat to 13.
  * Drop patches, applied upstream.
  * Update copyright file.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Jun 2023 22:09:51 +0200

geos (3.12.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Temporarily ignore test failures on all architectures.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Jun 2023 18:20:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                doxygen,
                pkg-kde-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
-Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
 Rules-Requires-Root: no
 
@@ -31,7 +31,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.11.2 (= ${binary:Version}),
+Depends: libgeos3.12.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -70,7 +70,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.11.2
+Package: libgeos3.12.0
 Architecture: any
 Multi-Arch: same
 Section: libs

## geos 3.12.1

=== CMakeLists.txt ===
##############################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018-2019 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
##############################################################################

# Require CMake 3.13+ with support for meta-features that request compiler
# modes for specific C/C++ language standard levels, and object libraries.
cmake_minimum_required(VERSION 3.13)

#-----------------------------------------------------------------------------
# Version
#-----------------------------------------------------------------------------
file(READ Version.txt _version_txt)

string(REGEX MATCH "GEOS_VERSION_MAJOR=([0-9]+)" _ ${_version_txt})
set(_version_major ${CMAKE_MATCH_1})
string(REGEX MATCH "GEOS_VERSION_MINOR=([0-9]+)" _ ${_version_txt})
set(_version_minor ${CMAKE_MATCH_1})
string(REGEX MATCH "GEOS_VERSION_PATCH=([0-9]+)" _ ${_version_txt})
set(_version_patch ${CMAKE_MATCH_1})
# OPTIONS: "", "dev", "rc1" etc.
string(REGEX MATCH "GEOS_PATCH_WORD=([a-zA-Z0-9]+)" _ ${_version_txt})
set(_version_patch_word ${CMAKE_MATCH_1})

# Version of JTS this release is bound to
string(REGEX MATCH "JTS_PORT=([0-9a-zA-Z\.]+)" _ ${_version_txt})
set(JTS_PORT ${CMAKE_MATCH_1})

# Version of public C API
string(REGEX MATCH "CAPI_INTERFACE_CURRENT=([0-9]+)" _ ${_version_txt})
set(_version_capi_current ${CMAKE_MATCH_1})
string(REGEX MATCH "CAPI_INTERFACE_REVISION=([0-9]+)" _ ${_version_txt})
set(_version_capi_revision ${CMAKE_MATCH_1})
string(REGEX MATCH "CAPI_INTERFACE_AGE=([0-9]+)" _ ${_version_txt})
set(_version_capi_age ${CMAKE_MATCH_1})

unset(_version_txt)

math(EXPR _version_capi_major "${_version_capi_current} - ${_version_capi_age}")
set(CAPI_VERSION_MAJOR ${_version_capi_major})
set(CAPI_VERSION_MINOR ${_version_capi_age})
set(CAPI_VERSION_PATCH ${_version_capi_revision})
set(CAPI_VERSION "${_version_capi_major}.${_version_capi_age}.${_version_capi_revision}")

unset(_version_capi_current)
unset(_version_capi_major)
unset(_version_capi_age)
unset(_version_capi_revision)

#-----------------------------------------------------------------------------
# Project
#-----------------------------------------------------------------------------
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
  list(APPEND _project_info DESCRIPTION "GEOS - C++ port of the Java Topology Suite (JTS)")
endif()
if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
  list(APPEND _project_info HOMEPAGE_URL "https://libgeos.org/")
endif()

project(GEOS VERSION "${_version_major}.${_version_minor}.${_version_patch}"
  LANGUAGES C CXX
  ${_project_info})

if(NOT "${_version_patch_word}" STREQUAL "")
  # Re-write VERSION variables after project()
  set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
  set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
endif()
set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")

unset(_version_major)
unset(_version_minor)
unset(_version_patch)
unset(_version_patch_word)

message(STATUS "GEOS: Version ${GEOS_VERSION}")
message(STATUS "GEOS: C API Version ${CAPI_VERSION}")
message(STATUS "GEOS: JTS port ${JTS_PORT}")

if(CMAKE_VERSION VERSION_LESS 3.21)
  if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
    set(PROJECT_IS_TOP_LEVEL ON)
  else()
    set(PROJECT_IS_TOP_LEVEL OFF)
  endif()
endif()

#-----------------------------------------------------------------------------
# Setup
#-----------------------------------------------------------------------------

# Default to release build so packagers don't release debug builds
set(DEFAULT_BUILD_TYPE Release)

# Require CMake 3.13+ with VS generator for complete support of VS versions
# and support by AppVeyor.
if(${CMAKE_GENERATOR} MATCHES "Visual Studio")
  cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# TODO: Follow CMake detection of git and version tagging
#       https://gitlab.kitware.com/cmake/cmake/blob/master/Source/CMakeVersionSource.cmake
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/.git)
  set(GEOS_BUILD_FROM_GIT ON)
endif()

# Make sure we know our build type
if(NOT CMAKE_BUILD_TYPE)
  get_property(_is_multi_config_generator GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
  if (NOT _is_multi_config_generator)
    set(CMAKE_BUILD_TYPE ${DEFAULT_BUILD_TYPE})
    message(STATUS "GEOS: Using default build type: ${CMAKE_BUILD_TYPE}")
  endif()
  unset(_is_multi_config_generator)
else()
  message(STATUS "GEOS: Build type: ${CMAKE_BUILD_TYPE}")
endif()

#-----------------------------------------------------------------------------
# Options
#-----------------------------------------------------------------------------
include(Ccache)
include(CMakeDependentOption)

## CMake global variables
option(BUILD_SHARED_LIBS "Build GEOS with shared libraries" ON)
set(CMAKE_CXX_STANDARD 14 CACHE STRING "C++ standard version to use (default is 14)")

## GEOS custom variables
option(BUILD_BENCHMARKS "Build GEOS benchmarks" OFF)
cmake_dependent_option(GEOS_BUILD_DEVELOPER
  "Build with compilation flags useful for development" ON
  "GEOS_BUILD_FROM_GIT;PROJECT_IS_TOP_LEVEL" OFF)
mark_as_advanced(GEOS_BUILD_DEVELOPER)

if (POLICY CMP0092)
  # dont set /W3 warning flags by default, we already
  # set /W4 anyway
  cmake_policy(SET CMP0092 NEW)
endif()

#-----------------------------------------------------------------------------
# Setup build directories
#-----------------------------------------------------------------------------
# Place executables and shared libraries in the same location for
# convenience of direct execution from common spot and for
# convenience in environments without RPATH support.
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/bin)
message(STATUS "GEOS: Run-time output: ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}")
message(STATUS "GEOS: Archives output: ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")

#-----------------------------------------------------------------------------
# Add ASAN build option
#-----------------------------------------------------------------------------
#
# To use ASAN with MacOSX you will need to install clang++ from MacPorts
# or HomeBrew, the default XCode one won't work. Then get cmake to use your
# new compiler, with something like.
#
#  cmake \
#   -D CMAKE_C_COMPILER=/opt/local/bin/clang-mp-15 \
#   -D CMAKE_CXX_COMPILER=/opt/local/bin/clang-mp-15++ \
#   -D CMAKE_BUILD_TYPE=ASAN
#
# To suppress reporting on leaks in MacOS itself (yes, really), 
# add a suppression file to your build directory. 
#
#  echo leak:realizeClassWithoutSwift >> lsan.supp
#
# Now run the program with env vars set to turn on leak checking and suppression.
# 
#  MallocNanoZone=0 \
#  ASAN_OPTIONS=detect_leaks=1 \
#  LSAN_OPTIONS=suppressions=lsan.supp \
#  ./bin/test_geos_unit
#

set(CMAKE_C_FLAGS_ASAN "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address -fno-omit-frame-pointer -fno-common")
set(CMAKE_CXX_FLAGS_ASAN "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address -fno-omit-frame-pointer -fno-common")
set(CMAKE_EXE_LINKER_FLAGS_ASAN "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fsanitize=address")
set(CMAKE_SHARED_LINKER_FLAGS_ASAN "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} -fsanitize=address")

get_property(_cmake_build_type_is_cache CACHE CMAKE_BUILD_TYPE PROPERTY TYPE)
if (_cmake_build_type_is_cache)
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo" "ASAN")
endif()
unset(_cmake_build_type_is_cache)

#-----------------------------------------------------------------------------
# Install directories
#-----------------------------------------------------------------------------

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

#-----------------------------------------------------------------------------
# C++ language version and compilation flags
#-----------------------------------------------------------------------------
message(STATUS "GEOS: Require C++${CMAKE_CXX_STANDARD}")
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

#-----------------------------------------------------------------------------
# Target geos_cxx_flags: common compilation flags
#-----------------------------------------------------------------------------
add_library(geos_cxx_flags INTERFACE)
target_compile_features(geos_cxx_flags INTERFACE cxx_std_11)

#-----------------------------------------------------------------------------
# Add flags to prevent 'fused multiply-add' operations on targets (ARM64)
# that allow it, as it breaks calculations in DD.cpp.
# TODO: Replace DD calculations with 'long float' where target supports
# true long float, and remove other cases where FMA causes regression
# failures.
#   https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98207
#-----------------------------------------------------------------------------

target_compile_options(geos_cxx_flags INTERFACE
	"$<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-ffp-contract=off>"
	"$<$<CXX_COMPILER_ID:GNU>:-ffp-contract=off>"
	"$<$<BOOL:${MSVC}>:/fp:precise>"
	)

# Use -ffloat-store for 32-bit builds (needed to make some tests pass)
target_compile_options(geos_cxx_flags INTERFACE
  $<$<AND:$<CXX_COMPILER_ID:GNU>,$<EQUAL:4,${CMAKE_SIZEOF_VOID_P}>>:-ffloat-store>
)

# Make sure NDEBUG is defined so that assert() is disabled for
# any non-debug build. Use a generator expression so that this
# works with multi-configuration generators.
target_compile_definitions(geos_cxx_flags INTERFACE $<$<NOT:$<CONFIG:Debug>>:NDEBUG>)

#-----------------------------------------------------------------------------
# Target geos_developer_cxx_flags: developer mode compilation flags
#-----------------------------------------------------------------------------
# Do NOT install this target for end-users!
add_library(geos_developer_cxx_flags INTERFACE)

if(GEOS_BUILD_DEVELOPER)
  message(STATUS "GEOS: Developer mode ENABLED")
endif()

# geos_cxx_flags inherits properties from geos_developer_cxx_flags when
# building as part of the GEOS repository or on explicit request for
# developer compilation mode, as GEOS contributor.
# The flags are intended only for GEOS itself and are not part of
# usage requirements needed by GEOS consumers.
if(GEOS_BUILD_DEVELOPER)
  target_link_libraries(geos_cxx_flags
    INTERFACE
      $<BUILD_INTERFACE:geos_developer_cxx_flags>)
endif()

target_compile_definitions(geos_cxx_flags
  INTERFACE
    USE_UNSTABLE_GEOS_CPP_API)

target_compile_definitions(geos_developer_cxx_flags
  INTERFACE
    $<$<BOOL:${MSVC}>:_CRT_NONSTDC_NO_DEPRECATE>
    $<$<BOOL:${MSVC}>:_SCL_SECURE_NO_DEPRECATE>
    $<$<BOOL:${MSVC}>:_CRT_SECURE_NO_WARNINGS>
    $<$<BOOL:${WIN32}>:NOMINMAX>)

target_compile_options(geos_developer_cxx_flags
  INTERFACE
    $<$<CXX_COMPILER_ID:MSVC>:-W4>
    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Werror -pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wsign-conversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates -Wno-psabi>
    $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Wno-unknown-warning-option>
    )

#-----------------------------------------------------------------------------
# Define a coverage build
#-----------------------------------------------------------------------------
set(CMAKE_CXX_FLAGS_COVERAGE "-fprofile-arcs -ftest-coverage")

#-----------------------------------------------------------------------------

=== benchmarks/capi/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################
add_executable(perf_memleak_mp_prep memleak_mp_prep.c)
# test_perf_memleak_mp_prep is not dependant against geos target,
# but geos_c only, so need explicit include directories.
target_include_directories(perf_memleak_mp_prep
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
target_link_libraries(perf_memleak_mp_prep PRIVATE geos_c)

add_executable(perf_geospreparedcontains GEOSPreparedContainsPerfTest.cpp)
target_link_libraries(perf_geospreparedcontains PRIVATE geos geos_c)

add_executable(perf_intersection IntersectionPerfTest.cpp)
target_link_libraries(perf_intersection PRIVATE geos geos_c)

add_executable(perf_unary UnaryOpPerfTest.cpp)
target_link_libraries(perf_unary PRIVATE geos geos_c)

if(benchmark_FOUND)
    add_executable(perf_capi_coordseq GEOSCoordSeqPerfTest.cpp)
    target_include_directories(perf_capi_coordseq PUBLIC
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
    target_link_libraries(perf_capi_coordseq PRIVATE
            benchmark::benchmark geos_c)
endif()

if(benchmark_FOUND)
    add_executable(perf_capi_transformxy GEOSGeom_transformXYPerfTest.cpp)
    target_include_directories(perf_capi_transformxy PUBLIC
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
        $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
    target_link_libraries(perf_capi_transformxy PRIVATE benchmark::benchmark geos_c)
endif()

=== debian/changelog ===
geos (3.12.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:06:39 +0000

geos (3.12.1-3) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.
    (closes: #1065262)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 12:25:53 +0100

geos (3.12.1-2) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062100)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 15:19:43 +0100

geos (3.12.1-2~exp1) experimental; urgency=medium

  * Improve t64 changes to match team standards.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 13:49:17 +0100

geos (3.12.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 11:13:23 +0000

geos (3.12.1-1) unstable; urgency=medium

  * Ignore test failures on hurd-i386.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 19:32:14 +0100

geos (3.12.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable Salsa CI.
  * Ignore test failure on i386.
    https://github.com/libgeos/geos/issues/947
  * Switch to dh-sequence-*.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 06:45:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: geos
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dpkg-dev (>= 1.22.5),
                cmake,
                doxygen,
                pkg-kde-tools
@@ -17,7 +20,7 @@
 Package: libgeos-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-c1v5 (= ${binary:Version}),
+Depends: libgeos-c1t64 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libgdal-doc
 Description: Geometry engine for GIS - Development files
@@ -31,7 +34,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.12.0 (= ${binary:Version}),
+Depends: libgeos3.12.1t64 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -46,14 +49,16 @@
  programs should use the stable C API instead of the
  unstable C++ one.
 
-Package: libgeos-c1v5
+Package: libgeos-c1t64
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libgeos-c1 (<< 3.4.2-8~)
-Replaces: libgeos-c1 (<< 3.4.2-8~)
+Provides: ${t64:Provides}
+Breaks: libgeos-c1v5 (<< ${source:Version})
+Replaces: libgeos-c1v5
+X-Time64-Compat: libgeos-c1v5
 Description: Geometry engine for Geographic Information Systems - C Library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the
@@ -70,12 +75,15 @@
  .
  This package contains the C library.
 
-Package: libgeos3.12.0
+Package: libgeos3.12.1t64
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Provides: ${t64:Provides}
+Breaks: libgeos3.12.1 (<< ${source:Version})
+Replaces: libgeos3.12.1
 Description: Geometry engine for Geographic Information Systems - C++ Library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the

## geos 3.12.2

=== debian/changelog ===
geos (3.12.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jun 2024 11:01:40 +0200

geos (3.12.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Jun 2024 05:28:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: geos
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -34,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.12.1t64 (= ${binary:Version}),
+Depends: libgeos3.12.2 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -75,15 +74,12 @@
  .
  This package contains the C library.
 
-Package: libgeos3.12.1t64
+Package: libgeos3.12.2
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Provides: ${t64:Provides}
-Breaks: libgeos3.12.1 (<< ${source:Version})
-Replaces: libgeos3.12.1
 Description: Geometry engine for Geographic Information Systems - C++ Library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the

## geos 3.13.0

=== debian/changelog ===
geos (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Drop doxygen.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2024 06:43:01 +0200

geos (3.13.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Add patch to fix FTBFS with doxygen 1.20.0.
    (closes: #1080182)
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2024 05:14:37 +0200

geos (3.13.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update lintian overrides.
  * Don't include macOS binary in examples.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Aug 2024 21:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -33,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.12.2 (= ${binary:Version}),
+Depends: libgeos3.13.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -74,7 +74,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.12.2
+Package: libgeos3.13.0
 Architecture: any
 Multi-Arch: same
 Section: libs

## geos 3.13.1

=== util/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2020 Martin Davis
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################

option(BUILD_GEOSOP "Build geosop command-line interface" ON)
message(STATUS "GEOS: Build geosop ${BUILD_GEOSOP}")

if(BUILD_GEOSOP)
  add_subdirectory(geosop)
endif()

=== benchmarks/operation/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################
add_subdirectory(buffer)
add_subdirectory(predicate)

if (benchmark_FOUND)
    add_executable(perf_distance DistancePerfTest.cpp)
    target_include_directories(perf_distance PUBLIC
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/benchmarks>)
    target_link_libraries(perf_distance PRIVATE
            benchmark::benchmark geos geos_cxx_flags)
endif()

=== debian/changelog ===
geos (3.13.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 07:07:43 +0100

geos (3.13.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Mar 2025 05:42:57 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.13.0 (= ${binary:Version}),
+Depends: libgeos3.13.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -74,7 +74,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.13.0
+Package: libgeos3.13.1
 Architecture: any
 Multi-Arch: same
 Section: libs

## geos 3.14.0~beta1

=== benchmarks/operation/CMakeLists.txt ===
--- 
+++ 
@@ -19,4 +19,12 @@
             $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/benchmarks>)
     target_link_libraries(perf_distance PRIVATE
             benchmark::benchmark geos geos_cxx_flags)
+
+    add_executable(perf_coverage_union CoverageUnionPerfTest.cpp)
+    target_include_directories(perf_coverage_union PUBLIC
+            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>
+            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/benchmarks>)
+    target_link_libraries(perf_coverage_union PRIVATE
+            benchmark::benchmark geos geos_cxx_flags)
 endif()

=== tests/unit/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2018 Mateusz Loskot <mateusz@loskot.net>
# Copyright (C) 2019 Daniel Baston <dbaston@gmail.com>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################

file(GLOB_RECURSE _sources ${CMAKE_CURRENT_LIST_DIR}/*.cpp CONFIGURE_DEPEND)
add_executable(test_geos_unit ${_sources})
unset(_sources)

find_package(Threads)

target_link_libraries(test_geos_unit PRIVATE geos geos_c Threads::Threads)
target_include_directories(test_geos_unit
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}>)

file(GLOB_RECURSE _testfiles ${CMAKE_CURRENT_LIST_DIR}/**/*Test.cpp CONFIGURE_DEPEND)
foreach(_testfile ${_testfiles})
    string(REPLACE ${CMAKE_CURRENT_LIST_DIR}/ "" _testname ${_testfile})
    string(REPLACE "Test.cpp" "" _testname ${_testname})
    string(REPLACE "/" "-" _cmake_testname  ${_testname})
    string(REPLACE "/" "::" _testname ${_testname})
    if (NOT ${_testname} MATCHES "^capi::")
      string(CONCAT _testname "geos::" ${_testname})
    endif()
    add_test(NAME unit-${_cmake_testname} COMMAND test_geos_unit ${_testname})
    set_tests_properties(unit-${_cmake_testname} PROPERTIES TIMEOUT 30)
endforeach()

# Run all the unit tests in one go, for faster memory checking
# under valgrind. Restrict to one configuration so it is only
# run with 'ctest -C Valgrind'
# Exemplar commandline:
#
# ctest --output-on-failure \
#   --overwrite MemoryCheckCommandOptions="--leak-check=full --error-exitcode=100" \
#   -R all-unit-tests -C Valgrind -T memcheck
#
add_test(NAME all-unit-tests
    COMMAND test_geos_unit
    CONFIGURATIONS Valgrind
    )

unset(_cmake_testname)
unset(_testfile)
unset(_testfiles)
unset(_testname)

=== debian/changelog ===
geos (3.14.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jul 2025 05:40:42 +0200

## geos 3.14.0~beta2

=== debian/changelog ===
geos (3.14.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Aug 2025 05:38:37 +0200

## geos 3.14.0~beta3

=== debian/changelog ===
geos (3.14.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Aug 2025 05:40:55 +0200

## geos 3.14.0~rc1

=== debian/changelog ===
geos (3.14.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Aug 2025 05:32:29 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
-Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
 Homepage: https://trac.osgeo.org/geos/
 Rules-Requires-Root: no
 
@@ -33,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.13.1 (= ${binary:Version}),
+Depends: libgeos3.14.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -74,7 +74,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.13.1
+Package: libgeos3.14.0
 Architecture: any
 Multi-Arch: same
 Section: libs

## geos 3.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,7 @@
 # See the COPYING file for more information.
 ##############################################################################
 
-# Require CMake 3.13+ with support for meta-features that request compiler
-# modes for specific C/C++ language standard levels, and object libraries.
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.15)
 
 #-----------------------------------------------------------------------------
 # Version
@@ -24,6 +22,7 @@
 set(_version_minor ${CMAKE_MATCH_1})
 string(REGEX MATCH "GEOS_VERSION_PATCH=([0-9]+)" _ ${_version_txt})
 set(_version_patch ${CMAKE_MATCH_1})
+set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")
 # OPTIONS: "", "dev", "rc1" etc.
 string(REGEX MATCH "GEOS_PATCH_WORD=([a-zA-Z0-9]+)" _ ${_version_txt})
 set(_version_patch_word ${CMAKE_MATCH_1})
@@ -56,23 +55,19 @@
 #-----------------------------------------------------------------------------
 # Project
 #-----------------------------------------------------------------------------
-if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
-  list(APPEND _project_info DESCRIPTION "GEOS - C++ port of the Java Topology Suite (JTS)")
-endif()
-if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
-  list(APPEND _project_info HOMEPAGE_URL "https://libgeos.org/")
-endif()
-
-project(GEOS VERSION "${_version_major}.${_version_minor}.${_version_patch}"
+
+project(GEOS
+  VERSION ${GEOS_VERSION_NOPATCH}
   LANGUAGES C CXX
-  ${_project_info})
+  DESCRIPTION "GEOS - C++ port of the Java Topology Suite (JTS)"
+  HOMEPAGE_URL "https://libgeos.org/"
+)
 
 if(NOT "${_version_patch_word}" STREQUAL "")
   # Re-write VERSION variables after project()
   set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
   set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
 endif()
-set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")
 
 unset(_version_major)
 unset(_version_minor)
@@ -97,12 +92,6 @@
 
 # Default to release build so packagers don't release debug builds
 set(DEFAULT_BUILD_TYPE Release)
-
-# Require CMake 3.13+ with VS generator for complete support of VS versions
-# and support by AppVeyor.
-if(${CMAKE_GENERATOR} MATCHES "Visual Studio")
-  cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
-endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -132,7 +121,7 @@
 
 ## CMake global variables
 option(BUILD_SHARED_LIBS "Build GEOS with shared libraries" ON)
-set(CMAKE_CXX_STANDARD 14 CACHE STRING "C++ standard version to use (default is 14)")
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "C++ standard version to use (minimum requirement is c++17)")
 
 ## GEOS custom variables
 option(BUILD_BENCHMARKS "Build GEOS benchmarks" OFF)
@@ -172,21 +161,21 @@
 #   -D CMAKE_CXX_COMPILER=/opt/local/bin/clang-mp-15++ \
 #   -D CMAKE_BUILD_TYPE=ASAN
 #
-# To suppress reporting on leaks in MacOS itself (yes, really), 
-# add a suppression file to your build directory. 
+# To suppress reporting on leaks in MacOS itself (yes, really),
+# add a suppression file to your build directory.
 #
 #  echo leak:realizeClassWithoutSwift >> lsan.supp
 #
 # Now run the program with env vars set to turn on leak checking and suppression.
-# 
+#
 #  MallocNanoZone=0 \
 #  ASAN_OPTIONS=detect_leaks=1 \
 #  LSAN_OPTIONS=suppressions=lsan.supp \
 #  ./bin/test_geos_unit
 #
 
-set(CMAKE_C_FLAGS_ASAN "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address -fno-omit-frame-pointer -fno-common")
-set(CMAKE_CXX_FLAGS_ASAN "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address -fno-omit-frame-pointer -fno-common")
+set(CMAKE_C_FLAGS_ASAN "${CMAKE_C_FLAGS_DEBUG} -g -O0 -fsanitize=address -fno-omit-frame-pointer -fno-common")
+set(CMAKE_CXX_FLAGS_ASAN "${CMAKE_CXX_FLAGS_DEBUG}  -g -O0 -fsanitize=address -fno-omit-frame-pointer -fno-common")
 set(CMAKE_EXE_LINKER_FLAGS_ASAN "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fsanitize=address")
 set(CMAKE_SHARED_LINKER_FLAGS_ASAN "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} -fsanitize=address")
 
@@ -214,7 +203,7 @@
 # Target geos_cxx_flags: common compilation flags
 #-----------------------------------------------------------------------------
 add_library(geos_cxx_flags INTERFACE)
-target_compile_features(geos_cxx_flags INTERFACE cxx_std_11)
+target_compile_features(geos_cxx_flags INTERFACE cxx_std_17)
 
 #-----------------------------------------------------------------------------
 # Add flags to prevent 'fused multiply-add' operations on targets (ARM64)
@@ -266,6 +255,38 @@
   INTERFACE
     USE_UNSTABLE_GEOS_CPP_API)
 
+# Deal with Intel Compiler
+if (CMAKE_CXX_COMPILER_ID STREQUAL "IntelLLVM")
+  include(CheckCXXCompilerFlag)
+  check_cxx_compiler_flag(-fno-fast-math HAVE_FLAG_NO_FAST_MATH)
+  if (HAVE_FLAG_NO_FAST_MATH)
+    # Intel CXX compiler, based on clang, defaults to -ffast-math, which breaks a lot of things
+    target_compile_options(geos_cxx_flags INTERFACE "-fno-fast-math")
+  endif ()
+
+  set(TEST_LINK_STDCPP_SOURCE_CODE
+      "#include <string>
+    int main(){
+      std::string s;
+      s += \"x\";
+      return 0;
+    }")
+  check_cxx_source_compiles("${TEST_LINK_STDCPP_SOURCE_CODE}" _TEST_LINK_STDCPP)
+  if( NOT _TEST_LINK_STDCPP )
+      message(WARNING "Cannot link code using standard C++ library. Automatically adding -lstdc++ to CMAKE_EXE_LINKER_FLAGS, CMAKE_SHARED_LINKER_FLAGS and CMAKE_MODULE_LINKER_FLAGS")
+      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lstdc++")
+      set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lstdc++")
+      set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lstdc++")
+
+      include(CheckCXXSourceCompiles)
+      check_cxx_source_compiles("${TEST_LINK_STDCPP_SOURCE_CODE}" _TEST_LINK_STDCPP_AGAIN)
+      if( NOT _TEST_LINK_STDCPP_AGAIN )
+          message(FATAL_ERROR "Cannot link C++ program")
+      endif()
+  endif()
+endif ()
+
+
 target_compile_definitions(geos_developer_cxx_flags
   INTERFACE
     $<$<BOOL:${MSVC}>:_CRT_NONSTDC_NO_DEPRECATE>
@@ -275,15 +296,4 @@
 
 target_compile_options(geos_developer_cxx_flags
   INTERFACE
-    $<$<CXX_COMPILER_ID:MSVC>:-W4>
-    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Werror -pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wsign-conversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
-    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates -Wno-psabi>
-    $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Wno-unknown-warning-option>
-    )
-
-#-----------------------------------------------------------------------------
-# Define a coverage build
-#-----------------------------------------------------------------------------
-set(CMAKE_CXX_FLAGS_COVERAGE "-fprofile-arcs -ftest-coverage")
-
-#-----------------------------------------------------------------------------
+    $<$<CXX_COMPILER_ID:MSVC>:-W4>  # consider -analyze

=== tests/unit/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
     if (NOT ${_testname} MATCHES "^capi::")
       string(CONCAT _testname "geos::" ${_testname})
     endif()
-    add_test(NAME unit-${_cmake_testname} COMMAND test_geos_unit ${_testname})
+    add_test(NAME unit-${_cmake_testname} COMMAND test_geos_unit ${_testname} "--data" "${CMAKE_CURRENT_LIST_DIR}/../resources")
     set_tests_properties(unit-${_cmake_testname} PROPERTIES TIMEOUT 30)
 endforeach()

=== benchmarks/algorithm/locate/CMakeLists.txt ===
#################################################################################
#
# CMake configuration for GEOS benchmarks/operation/predicate tests
#
# Copyright (C) 2017 Mateusz Loskot <mateusz@loskot.net>
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
#
#################################################################################

if (benchmark_FOUND)
    add_executable(perf_point_locator PointLocatorPerfTest.cpp)
    target_include_directories(perf_point_locator PUBLIC
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
            $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/benchmarks>
            $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}/include>)
    target_link_libraries(perf_point_locator PRIVATE
            benchmark::benchmark geos)
endif()

=== debian/changelog ===
geos (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Aug 2025 19:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkg-kde-tools
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
-Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# testrunner fails on some architectures
DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export DEB_CXXFLAGS_MAINT_PREPEND=-fpermissive

%:
	dh $@ --builddirectory=build --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DOCUMENTATION=ON

execute_after_dh_auto_build:
	$(MAKE) -C build docs

override_dh_auto_test:
# Ignore test failures on problematic architectures only
ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 armel armhf i386 mips mips64el mipsel ppc64el riscv64 s390x alpha hppa hurd-i386 ia64 powerpc ppc64 sparc64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

execute_before_dh_install:
	# add C++ headers to C++ dev package install file
	cp debian/libgeos++-dev.install.in debian/libgeos++-dev.install
	find debian/tmp/usr/include/geos \( -name "*.h" -o -name "*.hpp" \) -a ! -name "export.h" | sed -e 's/^debian\/tmp\///' >> debian/libgeos++-dev.install

	# Remove .asm files
	rm -f debian/tmp/usr/include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm

execute_after_dh_installexamples:
	rm -f debian/*/usr/share/doc/libgeos-dev/examples/capi_indexed_predicate

override_dh_installman:
	dh_installman -plibgeos-dev debian/geos-config.1

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
